---
title: Retrieve the DCV Delegation unique identifier.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[DCV Delegation](https://developers.cloudflare.com/api/typescript/resources/dcv_delegation)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Retrieve the DCV Delegation unique identifier.

client.dcvDelegation.get(DCVDelegationGetParams {zone\_id } params, RequestOptionsoptions?): [DCVDelegationUUID](<https://developers.cloudflare.com/api/typescript/resources/dcv_delegation#(resource)%20dcv_delegation%20%3E%20(model)%20dcv_delegation_uuid%20%3E%20(schema)>) {uuid }

GET/zones/{zone\_id}/dcv\_delegation/uuid

Retrieve the account and zone specific unique identifier used as part of the CNAME target for DCV Delegation.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`SSL and Certificates Write``SSL and Certificates Read`

##### ParametersExpand Collapse

<details>

<summary>

params: DCVDelegationGetParams {zone\_id }

</summary>

zone\_id: string

Identifier.

maxLength32

<a href="#(resource)%20dcv_delegation%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dcv_delegation%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

DCVDelegationUUID {uuid }

</summary>

uuid?: string

The DCV Delegation unique identifier.

<a href="#(resource)%20dcv_delegation%20%3E%20(model)%20dcv_delegation_uuid%20%3E%20(schema)%20%3E%20(property)%20uuid">Link to this property</a>

</details>

[Link to this property](<#(resource)%20dcv_delegation%20%3E%20(model)%20dcv_delegation_uuid%20%3E%20(schema)>)

### Retrieve the DCV Delegation unique identifier.

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const dcvDelegationUUID = await client.dcvDelegation.get({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(dcvDelegationUUID.uuid);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "uuid": "abc123def456ghi7"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "uuid": "abc123def456ghi7"
  }
}
```